imap_rfc822_parse_adrlist
imap_rfc822_write_address
IMAP Functions
PHP Manual

# imap_rfc822_parse_headers

(PHP 4, PHP 5)

imap_rfc822_parse_headers — Parse mail headers from a string

### Description

object imap_rfc822_parse_headers ( string `$headers` [, string `$defaulthost` = "UNKNOWN" ] )

Gets an object of various header elements, similar to imap_header().

### Parameters

`headers`

  The parsed headers data

`defaulthost`

  The default host name

### Return Values

Returns an object similar to the one returned by imap_header(), except for the flags and other properties that come from the IMAP server.

### See Also

- imap_rfc822_parse_adrlist() - Parses an address string

imap_rfc822_parse_adrlist
imap_rfc822_write_address
IMAP Functions
PHP Manual